## ros-kinetic-rosbridge-server 0.11.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosbridge_server)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

catkin_install_python(PROGRAMS
  scripts/rosbridge_websocket.py
  scripts/rosbridge_websocket
  scripts/rosbridge_tcp.py
  scripts/rosbridge_tcp
  scripts/rosbridge_udp
  scripts/rosbridge_udp.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  launch/rosbridge_websocket.launch
  launch/rosbridge_tcp.launch
  launch/rosbridge_udp.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/websocket/test_smoke.test)
endif()

=== debian/changelog ===
ros-kinetic-rosbridge-server (0.11.13-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Dec 2020 05:00:00 -0000

ros-kinetic-rosbridge-server (0.11.12-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Nov 2020 05:00:00 -0000

ros-kinetic-rosbridge-server (0.11.11-1xenial) xenial; urgency=high

  * rosbridge_udp now encodes msg to bytes before send (#537 <https://github.com/RobotWebTools/rosbridge_suite/issues/537>)
    This is required to work with python3 socket library
  * Conversion between bytes and string (#534 <https://github.com/RobotWebTools/rosbridge_suite/issues/534>)
    As of python3 sockets will input and output byte strings instead of String objects.
    This commits does the necessary coversions inside the tcp_handler, but it might
    not be the most thoughtful solution but just what I did to make it work with
    python3.
  * Contributors: Felix Exner, Karl Oskar Lember

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Nov 2020 05:00:00 -0000

ros-kinetic-rosbridge-server (0.11.10-1xenial) xenial; urgency=high

  * Error initialization with tornado. (#510 <https://github.com/RobotWebTools/rosbridge_suite/issues/510>)
    max_message_size has to be integer when initializating using tornado.
  * Contributors: Carlos Herrero

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Sep 2020 04:00:00 -0000

ros-kinetic-rosbridge-server (0.11.9-1xenial) xenial; urgency=high

  * noetic tests and fixes (#503 <https://github.com/RobotWebTools/rosbridge_suite/issues/503>)
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 May 2020 04:00:00 -0000

ros-kinetic-rosbridge-server (0.11.8-1xenial) xenial; urgency=high

  * Finish protocol in IncomingQueue thread (#502 <https://github.com/RobotWebTools/rosbridge_suite/issues/502>)
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Thu, 21 May 2020 04:00:00 -0000

ros-kinetic-rosbridge-server (0.11.7-1xenial) xenial; urgency=high

  * Fix backpressure deadlock (#496 <https://github.com/RobotWebTools/rosbridge_suite/issues/496>)
    * Don't block Subscription.unregister()
    * Don't add messages to finished queue handler
    * Decouple incoming WS handling from server thread
  * Added support for None for websocket_external_port (#494 <https://github.com/RobotWebTools/rosbridge_suite/issues/494>)
  * Contributors: Matt Vollrath, pramodhkp

 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 May 2020 04:00:00 -0000

ros-kinetic-rosbridge-server (0.11.6-1xenial) xenial; urgency=high

  * Output node parameter (#481 <https://github.com/RobotWebTools/rosbridge_suite/issues/481>)
  * Contributors: Raffaello Bonghi

 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2020 04:00:00 -0000

ros-kinetic-rosbridge-server (0.11.5-1xenial) xenial; urgency=high

  * default websocket_external_port to port to mimic behavior in node (#470 <https://github.com/RobotWebTools/rosbridge_suite/issues/470>)
    fixes bug introduced in #468 <https://github.com/RobotWebTools/rosbridge_suite/issues/468>
  * Default to supporting local files as we had before Autobahn. (#469 <https://github.com/RobotWebTools/rosbridge_suite/issues/469>)
    For Kinetic 0.10.3 version don't add the allowNullOrigin option.
    For everything else add it and default to True because that is
    consistent with the original behaviour of this package.
    Add websocket_null_origin to launch args
  * Python 3 updates/fixes (#460 <https://github.com/RobotWebTools/rosbridge_suite/issues/460>)
    * rosbridge_library, rosbridge_server: Update package format
    Add Python3 conditional dependencies where applicable.
    * rosbridge_library: Fix pngcompression for Python 3
    * rosapi: Use catkin_install_python for scripts
  * Fix intermittent test smoke (#473 <https://github.com/RobotWebTools/rosbridge_suite/issues/473>)
    * Run rosbridge_server websocket tests serial
    Running these tests in parallel may make them less reliable.
    * Reduce websocket smoke test load
    Appears to be failing intermittently due to a client issue.
    Co-authored-by: Jihoon Lee <mailto:jihoonlee.in@gmail.com>
  * Expose autobahn externalPort parameter (#468 <https://github.com/RobotWebTools/rosbridge_suite/issues/468>)
    * Expose autobahn externalPort parameter
    * Use ws port as default external port
    * Include websocket params in launchfile
  * Contributors: Alexey Rogachevskiy, Eduardo Paez, El Jawad Alaa, Matt Vollrath, boilerbots

 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 Apr 2020 04:00:00 -0000

ros-kinetic-rosbridge-server (0.11.4-1xenial) xenial; urgency=high

  * Concurrency review (#458 <https://github.com/RobotWebTools/rosbridge_suite/issues/458>)
    * Safer locking in PublisherConsistencyListener
    * Safer locking in ros_loader
    * Print QueueMessageHandler exceptions to stderr
    * Register before resuming outgoing valve
    * Don't pause a finished socket valve
  * Add cbor-raw compression (#452 <https://github.com/RobotWebTools/rosbridge_suite/issues/452>)
    The CBOR compression is already a huge win over JSON or PNG encoding,
    but it’s still suboptimal in some situations. This PR adds support for
    getting messages in their raw binary (ROS-serialized) format. This has
    benefits in the following cases:
    - Your application already knows how to parse messages in bag files
    (e.g. using [rosbag.js](https://github.com/cruise-automation/rosbag.js),
    which means that now you can use consistent code paths for both bags
    and live messages.
    - You want to parse messages as late as possible, or in parallel, e.g.
    only in the thread or WebWorker that cares about the message. Delaying
    the parsing of the message means that moving or copying the message to
    the thread is cheaper when its in binary form, since no serialization
    between threads is necessary.
    - You only care about part of the message, and don't need to parse the
    rest of it.


=== debian/control ===
Source: ros-kinetic-rosbridge-server
Section: misc
Priority: optional
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rostest
Homepage: http://ros.org/wiki/rosbridge_server
Standards-Version: 3.9.2

Package: ros-kinetic-rosbridge-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-autobahn, python-backports.ssl-match-hostname, python-tornado, python-twisted-core, ros-kinetic-rosapi, ros-kinetic-rosauth, ros-kinetic-rosbridge-library, ros-kinetic-rosbridge-msgs, ros-kinetic-rospy
Description: A WebSocket interface to rosbridge.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rosbridge-server//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
